Bug 147168 - Implicit declaration of function 'iswprint' in UTF-8 patch (file view.c)
Implicit declaration of function 'iswprint' in UTF-8 patch (file view.c)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 11:57 EST by Marcin Garski
Modified: 2013-07-02 19:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.6.1a-0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 09:08:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
UTF-8 warning patch (258 bytes, patch)
2005-02-04 11:59 EST, Marcin Garski
no flags Details | Diff

  None (edit)
Description Marcin Garski 2005-02-04 11:57:41 EST
During MC compilation gcc gives below warning:

view.c: In function `display':
view.c:1196: warning: implicit declaration of function `iswprint'

Please add:

#ifdef UTF8
#include <wctype.h>
#endif

to view.c file (I'll attach patch for this).
Comment 1 Marcin Garski 2005-02-04 11:59:06 EST
Created attachment 110663 [details]
UTF-8 warning patch
Comment 2 Jindrich Novy 2005-02-04 13:03:46 EST
Hello Marcin, which version of devel mc do you use? mc-4.6.1a-0.4?
Comment 3 Marcin Garski 2005-02-04 14:03:16 EST
Yes I'm using mc-4.6.1a-0.4 on my FC2 box. I've compiled mc with -Wall
-W flags.
Comment 4 Jindrich Novy 2005-02-07 04:24:51 EST
Marcin, thanks, it's now fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.